Subject: bug#21475: 25.0.50; `dired-do-search' not resuming search

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Aug 2019 21:23:26 +0200

[email-masked] (Rafał Kowalski) writes:

> I've been using the `dired-do-search' for a long time to find regexp
> matches in marked files in a directory.  If there were more matches, you
> could resume the search and find the next match with `M-,' but it
> stopped working for me somewhere around the 24.4 or 24.5 release.
> Currently I'm on 25.0.50.2 and when I do `M-,' after the first match is
> found, I'm getting `xref-pop-marker-stack: Marker stack is empty'.  

(I'm going through old bug reports that have unfortunately not gotten
any responses.)

Apparently in Emacs now, you have to say `M-x fileloop-continue' to go
to the next match.  This doesn't seem ideal...  Is this the way it's
supposed to be?  Anybody know?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no